import { Request, Response } from 'express';
import { container } from 'tsyringe';
import { FindOneCurserUseCase } from './FindOneCurserUseCase';

class FindOneCurserController {
    async handle(request: Request, response: Response) {
        const { id } = request.params;
        const findOneCurserUseCase = container.resolve(FindOneCurserUseCase)

        const curser = await findOneCurserUseCase.execute(id)

        return response.status(200).json(curser)
    }
}

export { FindOneCurserController }