import { ICursersRepository } from "@modules/curses/repositories/ICursersRepository";
import { AppError } from "@shared/error/AppError";
import { inject, injectable } from "tsyringe";

@injectable()
class FindOneCurserUseCase {
    constructor(
        @inject('CursersRepository')
        private cursersRepository: ICursersRepository
    ) {}

    async execute(id: string) {
        const curserAlreadyExists = await this.cursersRepository.findById(id)
        if(!curserAlreadyExists) {
            throw new AppError('Curser Already Exists', 400)
        }

        const curser = await this.cursersRepository.findById(id)

        return curser
    }
}

export {FindOneCurserUseCase}